const express = require('express');
const cors = require('cors');
const config = require('./app/config');
const mongoose = require('mongoose');
const products = require('./app/products');
const categories = require('./app/categories');
const users = require('./app/users');
const app = express();
const port = 8000;


const corsOptions = {
    origin: 'http://localhost:3000',
    optionsSuccessStatus: 200 // some legacy browsers (IE11, various SmartTVs) choke on 204
};

app.use(cors(corsOptions));
app.use(express.json());
app.use(express.static('public'));


const run = async () => {
    await mongoose.connect("mongodb://localhost/shop", {useNewUrlParser: true});

    app.use('/products', products());
    app.use('/categories', categories());
    app.use('/users', users());
    app.listen(port, () => {
        console.log(`Server started on port ${port}`)
    });
    console.log('mongo connected!');
};

run().catch(console.log);


